New version: Firefox 3.0 Beta 4

Bug #201553 reported by Invalid User on 2008-03-12
8
Affects Status Importance Assigned to Milestone
firefox-3.0 (Ubuntu)
Medium
Unassigned
Declined for Gutsy by Steve Langasek
Hardy
Medium
Unassigned

Bug Description

Binary package hint: firefox-3.0

Mozilla Developers released Firefox 3.0 Beta 4 on March 10. The firefox-3.0 package should be updated for Hardy (and gutsy) so users could test and file bugs.

From the Release Notes,
Firefox 3 Beta 4 includes more than 900 enhancements from the previous beta, including drastic improvements to performance and memory usage, as well as fixes for stability, platform enhancements and user interface improvements. Many of these improvements were based on community feedback from the previous beta.

See http://www.mozilla.com/en-US/firefox/3.0b4/releasenotes/

Invalid User (invalid) on 2008-03-12
description: updated
Alex Ruddick (alexrudd0) on 2008-03-13
Changed in firefox-3.0:
status: New → Confirmed
Changed in firefox-3.0:
importance: Undecided → Medium
milestone: none → ubuntu-8.04-beta
JanG (jan-ge) wrote :

it's now in the repos

Changed in firefox-3.0:
status: Confirmed → Fix Released
Matthew Woerly (nattgew) wrote :

Notice the "(and Gutsy)"... we're still waiting for that one.

Matthew Woerly (nattgew) wrote :

Not for Gutsy...

Changed in firefox-3.0:
status: Fix Released → Confirmed
Matthew Woerly (nattgew) wrote :

And sorry for nominating for Hardy, I wasn't sure how that worked...

Steve Langasek (vorlon) on 2008-03-15
Changed in firefox-3.0:
status: Confirmed → Fix Released
Invalid User (invalid) wrote :

Why decline it? The last beta is in the repos after all.

Matthew Woerly (nattgew) wrote :

Yeah, it's on its way...

Matthew Woerly (nattgew) wrote :

And I still think it's a duplicate of https://bugs.launchpad.net/gutsy-backports/+bug/191796 at least for the Gutsy...

Steve Langasek (vorlon) wrote :

I declined the bug for gutsy because nominating a bug for a stable release is a request that the bug be considered for a stable release update. Updating the version of firefox-3.0 is not a valid candidate for a stable release update; this will be handled by way of the Gutsy Backports project instead, which is appropriately handled under bug #191796.

This bug is not a duplicate of bug #191796 because 191796 is a request for a backport (unresolved) and this bug is a request for inclusion in gutsy and hardy (resolved, both ways - resolved for hardy because it's included, and resolved for gutsy because it should not be).

John Vivirito (gnomefreak) wrote :

Firefox 3.0 should not need to be backported to Gutsy since its already in the repos it should be updated as we did with edgy and firefox 2.0 beta > firefox 2.0 stable we didnt need to backport it since it is a stable release update. How does firefox 3.0 not comply with the rules of SRU?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers